# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'startmeup/version'

Gem::Specification.new do |s|
  s.name          = 'startmeup'
  s.version       = StartMeUp::VERSION
  s.authors       = ['Gaz Aston']
  s.email         = 'gaz@gaz.is'
  s.homepage      = 'http://gaz.is'
  s.license       = 'MIT'
  s.summary       = 'Scaffold styles, variables and structure for Bourbon projects, pretty much stolen verbatim from Thoughtbot Bitters'
  s.description = <<-DESC
StartMeUp helps designers start projects faster by defining a basic set of Sass
variables, default element style and project structure. It’s been specifically
designed for use within web applications. StartMeUp should live in your project’s
root Sass directory and we encourage you to modify and extend it to meet your
design and brand requirements.
  DESC
  s.files         = `git ls-files`.split($/)
  s.executables   = s.files.grep(%r{^bin/}) { |f| File.basename(f) }
  s.test_files    = s.files.grep(%r{^(test|spec|features)/})
  s.require_paths = ['lib']

  s.add_development_dependency 'bundler', '~> 1.3'
  s.add_development_dependency 'rake'
  s.add_development_dependency 'rspec'

  s.add_dependency 'bourbon', '>= 3.2'
  s.add_dependency 'neat'
  s.add_dependency 'sass', '>= 3.2'
  s.add_dependency 'haml'
  s.add_dependency 'thor'
end
